Name:          reflectasm
Version:       1.07
Release:       6%{?dist}
Summary:       High performance Java library that provides reflection by using code generation
License:       BSD
URL:           https://github.com/EsotericSoftware/reflectasm
# svn checkout http://reflectasm.googlecode.com/svn/tags/1.07 reflectasm-1.07
# find reflectasm-1.07/ -name '*.jar' -delete
# find reflectasm-1.07/ -name '*.class' -delete
# rm -rf reflectasm-1.07/.svn
# tar cJf reflectasm-1.07-clean.tar.xz reflectasm-1.07
Source0:       %{name}-%{version}-clean.tar.xz
# Upstream update for reflectasm 1.07
Patch0:        %{name}-1.07-update.patch

BuildRequires: mvn(org.ow2.asm:asm)
# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: maven-local

BuildArch:     noarch

%description
ReflectASM is a very small Java library that provides
high performance reflection by using code generation.
An access class is generated to set/get fields,
call methods, or create a new instance. The access class
uses byte-code rather than Java's reflection, so it
is much faster. It can also access primitive fields
via byte-code to avoid boxing.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p1
sed -i 's/\r//' license.txt

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt

%changelog
* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 1.07-6
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 09 2013 gil cattaneo <puntogil@libero.it> 1.07-4
- upstream update for reflectasm 1.07 (PATCH0)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 03 2013 gil cattaneo <puntogil@libero.it> 1.07-2
- switch to XMvn
- minor changes to adapt to current guideline

* Fri Mar 08 2013 gil cattaneo <puntogil@libero.it> 1.07-1
- initial rpm
